#include "cQuitButton.hpp"

using Input::cQuitButton;

cQuitButton::cQuitButton( SDL_Keycode key, Equipment::cCourt** court )
: cKey( key ), mpp_court(court)
{}

cQuitButton::~cQuitButton()
{}

///Funtions
void cQuitButton::KeyPress()
{}

void cQuitButton::KeyUP()
{}

void cQuitButton::KeyDown()
{
	if (mpp_court != nullptr && *mpp_court != nullptr)
		(*mpp_court)->Quit();
}